[arch-commits] CVS update of extra/network/opera (PKGBUILD)

Tom Killian tom at archlinux.org
Wed Dec 19 05:58:29 EST 2007


    Date: Wednesday, December 19, 2007 @ 05:58:29
  Author: tom
    Path: /home/cvs-extra/extra/network/opera

Modified: PKGBUILD (1.38 -> 1.39)

upgpkg: opera 9.25-1


----------+
 PKGBUILD |   28 ++++++++++------------------
 1 file changed, 10 insertions(+), 18 deletions(-)


Index: extra/network/opera/PKGBUILD
diff -u extra/network/opera/PKGBUILD:1.38 extra/network/opera/PKGBUILD:1.39
--- extra/network/opera/PKGBUILD:1.38	Sun Nov 25 09:07:23 2007
+++ extra/network/opera/PKGBUILD	Wed Dec 19 05:58:29 2007
@@ -1,32 +1,24 @@
-# $Id: PKGBUILD,v 1.38 2007/11/25 14:07:23 daniel Exp $
+# $Id: PKGBUILD,v 1.39 2007/12/19 10:58:29 tom Exp $
 # Maintainer: Tom Killian <tom at archlinux.org>
 # Contributor: dorphell <dorphell at archlinux.org>
 
 pkgname=opera
-pkgver=9.50
-pkgrel=0.10
+pkgver=9.25
+pkgrel=1
 pkgdesc="The Opera web browser"
 url="http://www.opera.com/"
 depends=(qt)
 license=('custom:opera')
-arch=('i686' 'x86_64')
-source=(ftp://ftp.opera.com/pub/opera/linux/924/final/en/i386/shared/opera-9.24-20071015.6-shared-qt.i386-en.tar.bz2 opera.desktop)
-md5sums=('cce7d80826b7462ed4713d23901b9f42'         
-	'f99bef1a9200abe5a5cda78665cddc84')
-sha1sums=('997e7171d13856c3d2562258117171cb307431ae'
-          '292223233b008f49614f010ffad73a810e43ff58')
-[ "$CARCH" = "x86_64" ] && source=(http://snapshot.opera.com/unix/snapshot-1678/x86_64-linux/opera-9.50-20071122.2-shared-qt.x86_64-1678.tar.bz2 opera.desktop)
-[ "$CARCH" = "x86_64" ] && md5sums=('6140916309669d42d550a922655a96c9'
-         'f99bef1a9200abe5a5cda78665cddc84')
+arch=('i686')
+source=(ftp://ftp.opera.com/pub/opera/linux/925/final/en/i386/shared/opera-9.25-20071214.6-shared-qt.i386-en.tar.bz2
+        opera.desktop)
 
 build() {
-if [ "$CARCH" = "x86_64" ]; then
-       cd ${startdir}/src/opera-9.50-20071122.2-shared-qt.x86_64-1678
-       sed 's|/usr/X11R6/lib/mozilla/plugins=1|/opt/mozilla/lib/plugins=1|' -i usr/share/opera/ini/pluginpath.ini || return 1
-  else cd ${startdir}/src/opera-9.24-20071015.6-shared-qt.i386-en-671 
-       sed 's|/usr/X11R6/lib/mozilla/plugins=1|/opt/mozilla/lib/plugins=1|' -i ini/pluginpath.ini || return 1
-fi
+   cd ${startdir}/src/opera-9.25-20071214.6-shared-qt.i386-en-687
+   sed 's|/usr/X11R6/lib/mozilla/plugins=1|/opt/mozilla/lib/plugins=1|' -i ini/pluginpath.ini || return 1
    ./install.sh DESTDIR=${startdir}/pkg
    install -D -m 644 ${startdir}/src/opera.desktop ${startdir}/pkg/usr/share/applications/opera.desktop
    install -D -m 644 LICENSE ${startdir}/pkg/usr/share/licenses/opera/license.txt
 }
+md5sums=('496adcd61d1f510b64009e49702ec21f'
+         'f99bef1a9200abe5a5cda78665cddc84')




More information about the arch-commits mailing list